A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
iota
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Functions to create arrays.

## Functions
AFAPI array | iota (const dim4 &dims, const dim4 &tile_dims=dim4(1), const dtype ty=f32)
| C++ Interface to generate an array with `[0, n-1]` values modified to specified dimensions and tiling.
AFAPI af_err | af_iota (af_array *out, const unsigned ndims, const dim_t *const dims, const unsigned t_ndims, const dim_t *const tdims, const af_dtype type)
| C Interface to generate an array with `[0, n-1]` values modified to specified dimensions and tiling.

## Detailed Description

Generate an array with `[0, n-1]` values modified to specified dimensions and tiling.

// Generate [0, 5x3 - 1] in dimensions 5, 3
array a = iota(dim4(5, 3))
// a [5 3 1 1]
// 0.0000 5.0000 10.0000
// 1.0000 6.0000 11.0000
// 2.0000 7.0000 12.0000
// 3.0000 8.0000 13.0000
// 4.0000 9.0000 14.0000
// Generate [0, 5x3 - 1] in dimensions 5, 3 and then tile once along
// dim0 and twice along dim1
array b = iota(dim4(5, 3), dim4(1, 2))
// b [5 6 1 1]
// 0.0000 5.0000 10.0000 0.0000 5.0000 10.0000
// 1.0000 6.0000 11.0000 1.0000 6.0000 11.0000
// 2.0000 7.0000 12.0000 2.0000 7.0000 12.0000
// 3.0000 8.0000 13.0000 3.0000 8.0000 13.0000
// 4.0000 9.0000 14.0000 4.0000 9.0000 14.0000

## Function Documentation

## ◆ af_iota()

AFAPI af_err af_iota | ( | af_array * | out,
|  | const unsigned | ndims,
|  | const dim_t *const | dims,
|  | const unsigned | t_ndims,
|  | const dim_t *const | tdims,
|  | const af_dtype | type )

C Interface to generate an array with `[0, n-1]` values modified to specified dimensions and tiling.

Parameters

  [out] | out | iota array
  [in] | ndims | number of dimensions
  [in] | dims | size
  [in] | t_ndims | number of dimensions of tiled array
  [in] | tdims | number of tiled repetitions in each dimension
  [in] | type | type

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ iota()

AFAPI array iota | ( | const dim4 & | dims,
|  | const dim4 & | tile_dims = dim4(1),
|  | const dtype | ty = f32 )

C++ Interface to generate an array with `[0, n-1]` values modified to specified dimensions and tiling.

Parameters

  [in] | dims | size
  [in] | tile_dims | number of tiled repetitions in each dimension
  [in] | ty | type

Returns
  iota array